ChartDirector Ver 5.0 (PHP Edition)

PolarChart.getYCoor

Usage

getYCoor(r, a)

Description

Gets the y pixel coordinate of a point given its radial and angular coordinates.
The radial and angular coordinates are measured using the scale of the radial and angular axes. In particular, the scale of the angular axis may not be in degrees or radians. See AngularAxis.setLabels and AngularAxis.setLinearScale on how the angular axis scale is defined.
Note: You must call BaseChart.layout first before calling this method. ChartDirector needs to perform auto-scaling and layout the axis before it can compute the coordinates.

Arguments

Argument | Default | Description
--- | --- | ---
r | (Mandatory) | The radial coordinate of the point.
a | (Mandatory) | The angular coordinate of the point.

Return Value

The y pixel coordinate of the point.

© 2009 Advanced Software Engineering Limited. All rights reserved.